"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EXTENSIONS = exports.BLOCK_RENDERERS = void 0;
const bookmark_block_renderer_1 = __importDefault(require("./blocks/bookmark-block.renderer"));
const bulleted_list_block_renderer_1 = __importDefault(require("./blocks/bulleted-list-block.renderer"));
const bulleted_list_item_block_renderer_1 = __importDefault(require("./blocks/bulleted-list-item-block.renderer"));
const callout_block_renderer_1 = __importDefault(require("./blocks/callout-block.renderer"));
const code_block_renderer_1 = __importDefault(require("./blocks/code-block.renderer"));
const column_block_renderer_1 = __importDefault(require("./blocks/column-block.renderer"));
const column_list_block_renderer_1 = __importDefault(require("./blocks/column-list-block.renderer"));
const divider_block_renderer_1 = __importDefault(require("./blocks/divider-block.renderer"));
const emoji_block_renderer_1 = __importDefault(require("./blocks/emoji-block.renderer"));
const heading1_block_renderer_1 = __importDefault(require("./blocks/heading1-block.renderer"));
const heading2_block_renderer_1 = __importDefault(require("./blocks/heading2-block.renderer"));
const heading3_block_renderer_1 = __importDefault(require("./blocks/heading3-block.renderer"));
const image_block_renderer_1 = __importDefault(require("./blocks/image-block.renderer"));
const mention_block_renderer_1 = __importDefault(require("./blocks/mention-block.renderer"));
const numbered_list_block_renderer_1 = __importDefault(require("./blocks/numbered-list-block.renderer"));
const numbered_list_item_block_renderer_1 = __importDefault(require("./blocks/numbered-list-item-block.renderer"));
const paragraph_block_renderer_1 = __importDefault(require("./blocks/paragraph-block.renderer"));
const quote_block_renderer_1 = __importDefault(require("./blocks/quote-block.renderer"));
const table_block_renderer_1 = __importDefault(require("./blocks/table-block.renderer"));
const table_row_renderer_ts_1 = __importDefault(require("./blocks/table-row.renderer.ts"));
const text_block_renderer_1 = __importDefault(require("./blocks/text-block.renderer"));
const to_do_block_renderer_1 = __importDefault(require("./blocks/to-do-block.renderer"));
const to_do_list_block_renderer_1 = __importDefault(require("./blocks/to-do-list-block.renderer"));
const toggle_block_renderer_1 = __importDefault(require("./blocks/toggle-block.renderer"));
const bulleted_list_extension_1 = __importDefault(require("./extensions/bulleted-list.extension"));
const numbered_list_extension_1 = __importDefault(require("./extensions/numbered-list.extension"));
const to_do_list_extension_1 = __importDefault(require("./extensions/to-do-list.extension"));
exports.BLOCK_RENDERERS = [
    bookmark_block_renderer_1.default,
    mention_block_renderer_1.default,
    text_block_renderer_1.default,
    paragraph_block_renderer_1.default,
    image_block_renderer_1.default,
    heading1_block_renderer_1.default,
    heading2_block_renderer_1.default,
    heading3_block_renderer_1.default,
    emoji_block_renderer_1.default,
    code_block_renderer_1.default,
    callout_block_renderer_1.default,
    bulleted_list_block_renderer_1.default,
    bulleted_list_item_block_renderer_1.default,
    numbered_list_block_renderer_1.default,
    numbered_list_item_block_renderer_1.default,
    quote_block_renderer_1.default,
    divider_block_renderer_1.default,
    column_list_block_renderer_1.default,
    column_block_renderer_1.default,
    toggle_block_renderer_1.default,
    to_do_list_block_renderer_1.default,
    to_do_block_renderer_1.default,
    table_block_renderer_1.default,
    table_row_renderer_ts_1.default,
];
exports.EXTENSIONS = [
    numbered_list_extension_1.default,
    bulleted_list_extension_1.default,
    to_do_list_extension_1.default,
];
//# sourceMappingURL=globals.js.map