import { createBlockRenderer } from '../utils/create-block-renderer';
export default createBlockRenderer('code', async (data, renderer) => {
    const code = (await renderer.render(...data.code.rich_text)).replace(/[\u00A0-\u9999<>&]/g, function (i) {
        return '&#' + i.charCodeAt(0) + ';';
    });
    return `
            <div class="notion-${data.type}">
                <pre><code class="language-${data.code.language}">${code}</code></pre>
                ${data.code.caption
        ? `<legend>${await renderer.render(...data.code.caption)}</legend>`
        : ''}
            </div>
        `;
});
//# sourceMappingURL=code-block.renderer.js.map